import debounce from 'debounce'

const csrfToken = document.querySelector("[name='csrf-token']").content

export default function initSimpleQuestions() {
    document.querySelectorAll('[data-behaviour="question_simple_input"]').forEach((input) => {
        const submitUrl = input.dataset.submitUrl

        const handleInput = debounce(() => {
            fetch(submitUrl, {
                method: 'PUT',
                headers: {
                    "x-csrf-token": csrfToken,
                    "content-type": "application/json",
                },
                body: JSON.stringify({ value: input.value }),
            })
        }, 300)

        input.addEventListener('change', handleInput)
        input.addEventListener('input', handleInput)
    })
}
